<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <script src="./node_modules/cesium/Build/Cesium/Cesium.js"></script>
  <link href="./node_modules/cesium/Build/Cesium/Widgets/widgets.css" rel="stylesheet">
</head>
<body>
  <div id="cesiumContainer" style="width: 100%; height:100%"></div>
  <script>
    Cesium.Ion.defaultAccessToken = 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiI5YTM1NDBiOS05MjkwLTQ4NWYtYTAwZi1lZDMzNDkzZGIyOWUiLCJpZCI6MTc3ODAsInNjb3BlcyI6WyJhc3IiLCJnYyJdLCJpYXQiOjE1NzI4MTk4NTV9.21ygdYDKHr-Cf7WMucHLE7vu4STNDIRIF1xqgJ5BuRo';
  var viewer = new Cesium.Viewer('cesiumContainer', {
//    terrainProvider: new Cesium.createWorldTerrain(),
    terrainProvider: new Cesium.CesiumTerrainProvider({
      url: "/terrain.liege/",
      url: "https://storage.gra.cloud.ovh.net/v1/AUTH_ffac6157beed4b7287ca7b748bcf0c37/quantized_mesh/terrain.liege/",
      //url: "https://quantized-mesh.champs-libres.be/terrain.liege/",
//      requestMetadata: true,
      credit: "(c) SPW"
    }),
    imageryProvider: new Cesium.WebMapServiceImageryProvider({
      url: "https://geoservices.wallonie.be/arcgis/services/IMAGERIE/ORTHO_2018/MapServer/WMSServer",
      layers: "0"
    }),
    mapProjection: new Cesium.WebMercatorProjection(),
    sceneMode: Cesium.SceneMode.SCENE3D,
    animation: false,
    timeline: false,
    baseLayerPicker: false,
    sceneModePicker: false,
    navigationInstructionsInitiallyVisible: true,
  });

  viewer.camera.setView({
    destination: Cesium.Cartesian3.fromDegrees(
      5.554705,
      50.624910,
      550
    ),
    orientation: {
      heading : Cesium.Math.toRadians(48.0), // east, default value is 0.0 (north)
      pitch : Cesium.Math.toRadians(-13),    // default value (looking down)
      roll : 0.0                             // default value
    }
  });
  </script>
</body>
</html>
